From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-906183-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 9C4E5138330
	for <garchives@archives.gentoo.org>; Thu, 13 Oct 2016 05:52:08 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 33314E0BE7;
	Thu, 13 Oct 2016 05:52:05 +0000 (UTC)
Received: from smtp.gentoo.org (smtp.gentoo.org [140.211.166.183])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 17C09E0BE7
	for <gentoo-commits@lists.gentoo.org>; Thu, 13 Oct 2016 05:52:05 +0000 (UTC)
Received: from oystercatcher.gentoo.org (unknown [IPv6:2a01:4f8:202:4333:225:90ff:fed9:fc84])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id B255B3411FA
	for <gentoo-commits@lists.gentoo.org>; Thu, 13 Oct 2016 05:52:03 +0000 (UTC)
Received: from localhost.localdomain (localhost [127.0.0.1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 2D02E2F5
	for <gentoo-commits@lists.gentoo.org>; Thu, 13 Oct 2016 05:52:01 +0000 (UTC)
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Hans de Graaff" <graaff@gentoo.org>
Message-ID: <1476337911.93fc27fc5e82a7b2e70f655ce2fb275f48a30783.graaff@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/http/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-ruby/http/http-0.9.8-r1.ebuild
X-VCS-Directories: dev-ruby/http/
X-VCS-Committer: graaff
X-VCS-Committer-Name: Hans de Graaff
X-VCS-Revision: 93fc27fc5e82a7b2e70f655ce2fb275f48a30783
X-VCS-Branch: master
Date: Thu, 13 Oct 2016 05:52:01 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Archives-Salt: c94336da-0451-4800-a0f2-6882250aa9aa
X-Archives-Hash: 10ba7fb872245d506640c061b537cc45

commit:     93fc27fc5e82a7b2e70f655ce2fb275f48a30783
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 13 05:51:51 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Oct 13 05:51:51 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93fc27fc

dev-ruby/http: add ruby23 revision

Package-Manager: portage-2.3.0

 dev-ruby/http/http-0.9.8-r1.ebuild | 41 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/dev-ruby/http/http-0.9.8-r1.ebuild b/dev-ruby/http/http-0.9.8-r1.ebuild
new file mode 100644
index 00000000..7f77048
--- /dev/null
+++ b/dev-ruby/http/http-0.9.8-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An easy-to-use client library for making requests from Ruby"
+HOMEPAGE="https://github.com/tarcieri/http"
+
+LICENSE="MIT"
+SLOT="0.8"
+KEYWORDS="~amd64 ~arm ~ppc64"
+IUSE=""
+
+ruby_add_rdepend "
+	>=dev-ruby/addressable-2.3
+	>=dev-ruby/http-cookie-1.0
+	>=dev-ruby/http-form_data-1.0.1:1.0
+	>=dev-ruby/http_parser_rb-0.6.0 =dev-ruby/http_parser_rb-0.6*"
+
+ruby_add_bdepend "
+	test? ( dev-ruby/certificate_authority dev-ruby/rspec-its )"
+
+all_ruby_prepare() {
+	sed -i -e '/simplecov/,/end/ s:^:#:' \
+		-e '1irequire "cgi"' spec/spec_helper.rb || die
+
+	# Avoid specs that require network access
+	sed -i -e '/.persistent/,/^  end/ s:^:#:' \
+		spec/lib/http_spec.rb || die
+	sed -i -e '/with non-ASCII URLs/,/^    end/ s:^:#:' \
+		spec/lib/http/client_spec.rb || die
+}